
Runtime Infrastructure - Feature #3226

change p2j to fwd in names, filenames, paths, environment variables et al

01/12/2017 03:00 PM - Greg Shah

Status: WIP Start date:  

Priority: Normal Due date:  

Assignee: Ovidiu Maxiniuc % Done: 70%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 01/17/2017 03:25 PM - Ovidiu Maxiniuc

- % Done changed from 0 to 70

Task branch 3226a was created. In the revision 11137, all occurrences of P2J were converted to fwd:

class names;

packages;

comments/javadoc;

filenames of any support files (configurations, scripts, sql, TRPL rules, collations) and references to them;

building script.

Note that for each project, the configuration files must be updated: p2j.cfg.xml -> fwd.cfg.xml, P2J_HOME -> FWD_HOME, etc.

Not tested in any way (this is the next step), but it should work.

#2 - 01/27/2017 12:37 PM - Ovidiu Maxiniuc

The task branch 3226a was rebased to latest trunk (11140). Previously I was able to convert and execute the hotel project successfully.

I will continue to keep this branch updated but it contains massive changes (practically 90% or even more of the files are affected). I haven't added

the usual history entry in the header for this reason.

#3 - 01/27/2017 01:11 PM - Greg Shah

Please get this regression tested (devsrv01, ETF and the customer GUI scenarios).  If it is working well for those cases, then we will get this into the

trunk ASAP.  Hynek's tool for adding history entries for all changed files can be used here, just before you merge to trunk.

Getting this into the trunk is important so that you don't have a merge nightmare every time a new trunk revision occurs.
